;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; initeval.scm - Clement JONQUET - PhD student in Computer Science - LIRMM - July 2005 ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; DESCRIPTION :
; This files defines the redefinition of some primitives for all the bind of an agents

;;;;;;;;;;;;;;;; ERROR PROCESSING ;;;;;;;;;;;;;;;;

(define *error-port*
  (if (file-exists? *error-file*)
      (begin (delete-file *error-file*) (open-output-file *error-file*))
      (open-output-file *error-file*)))

;;;;;;;;;;;;;;;; PRIMITIVES REDEFINITION ;;;;;;;;;;;;;;;;

(define old-display display)
;Be carefull kawa problem
;(set! display
;      (lambda (exp) (old-display exp *error-port*)))
(define (display exp) (old-display exp *error-port*))

(define old-write write)
(define (write exp) (old-write exp *error-port*))

(define old-newline newline)
(define (newline) (old-newline *error-port*))

;;;;;;;;;;;;;;;; COGNITIVE ENVIRONMENT BINDINGS ;;;;;;;;;;;;;;;;

(define idialogueDone #f)

;;;;;;;;;;;;;;;; TESTS ;;;;;;;;;;;;;;;;

(define (square x) (* x x))
(display "initeval.scm loaded")
(newline)
